Artist Social / Streaming Service URLs

Social media and streaming service URLs belonging to this artist. url is typically a string but can legally be an array of strings (per SNS record shape) or an empty value. Domains seen in production include spotify, amazon, youtubeforartist, tvmaze, shazam, soundcloud, genius, website, lastfm, itunes, deezer, bandsintown, instagram, songkick, gtrends, discogs, wikipedia, twitter, youtube, facebook. When the artist has no SNS record the response is { obj: {} } (object instead of array). Note: the musicbrainz domain is deprecated and will be removed after August 1st, 2026 — existing values are still echoed in the response until then, but new MusicBrainz URLs are no longer accepted.

Path Parameters
  • id
    Type: integer
    min:  
    2
    max:  
    2147483647
    required

    Chartmetric artist ID. Note: id=1 ('Various Artists') is rejected.

    • enum
      const:  
      1
      values
      • 1
Responses
  • application/json
Request Example for get/api/artist/{id}/urls
curl https://api.chartmetric.com/api/artist/2/urls \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "obj": [
    {
      "domain": "spotify",
      "url": [
        "https://open.spotify.com/artist/3TVXtAsR1Inumwj472S9r4"
      ]
    },
    {
      "domain": "instagram",
      "url": [
        "https://www.instagram.com/champagnepapi/?hl=en"
      ]
    },
    {
      "domain": "twitter",
      "url": [
        "https://twitter.com/Drake"
      ]
    },
    {
      "domain": "youtube",
      "url": [
        "https://www.youtube.com/channel/UCByOQJjav0CUDwxCk-jVNRQ"
      ]
    },
    {
      "domain": "website",
      "url": [
        "http://www.drakeofficial.com/"
      ]
    }
  ]
}